%define is_release 1
%define beta %{nil}
%define rel 6
%define DATE 20020218
%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.93
%endif
Version: 1.0.1
%define ver %{version}%{beta}

Name: qmkbootdisk
Prefix: /usr
%if %{is_release}
Source: %{name}-%{ver}.tar.bz2
%if "%{beta}" != ""
Release: 3.%{beta}.%{rel}
%else
Release: %{rel}
%endif
%else
Source: %{name}-%{DATE}.tar.bz2
Release: 3.cvs%{DATE}.%{rel}
%endif
Summary: Graphical frontend to generating boot disks
Epoch: 8
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prereq: /sbin/ldconfig
Requires: qt mkbootdisk
BuildRequires: qt-devel >= 3.0.0
%if %{desktop_file}
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif
# This doesn't make sense on systems that can't boot from disks...
ExcludeArch: ia64 s390 s390x

%description
QMkBootDisk lets you create boot floppies graphically.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{name}-%{ver}
%else
%setup -q -n %{name}
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
perl -pi -e "s,-I,$RPM_OPT_FLAGS -I,g" Makefile
make

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin $RPM_BUILD_ROOT/etc/X11/applnk/System \
         $RPM_BUILD_ROOT/etc/X11/sysconfig
install -m 755 qmkbootdisk $RPM_BUILD_ROOT%{prefix}/bin
install -m 644 qmkbootdisk.desktop $RPM_BUILD_ROOT/etc/X11/applnk/System
install -m 644 qmkbootdisk.desktop $RPM_BUILD_ROOT/etc/X11/sysconfig
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applications
desktop-file-install --vendor redhat \
        --dir $RPM_BUILD_ROOT%{prefix}/share/applications \
        --add-category "Application;System;X-Red-Hat-Extra" \
        --add-only-show-in KDE \
        $RPM_BUILD_ROOT/etc/X11/applnk/System/qmkbootdisk.desktop
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/qmkbootdisk
%if %{desktop_file}
%{prefix}/share/applications/*
%else
%config(noreplace) /etc/X11/applnk/System/*
%config(noreplace) /etc/X11/sysconfig/*
%endif

%changelog
* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- use desktop-file-utils (#69466)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.0.1-4
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.0.1-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.0.1-2
- automated rebuild

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- Initial build as separate package
